Subject: bug#15789: 24.3.50; backtrace produces unreadable output

From: Stefan Monnier <[email-masked]>
Date: Sat, 02 Nov 2013 20:48:44 -0400

> The stack trace looks as though the compiled-function lisp type is

Indeed, some of the functions called are called directly rather by going
through a symbol whose symbol-function value is the function that we
call, so the backtrace shows the function itself rather than the symbol
which holds the function.

> printed, so I suspect that specbinding.bt.function changed its type,

No.  It's simply that the backtrace is different.  You could get the
exact same in 24.3.

        Stefan